/*
 * Copyright 1999 by Brown University Computer Science
 * 115 Waterman Street, 4th Floor, Providence, Rhode Island, 02906, U.S.A
 * All rights reserved.
 *
 * Permission is hereby granted for free use and modification of this
 * software.  However, this copyright must remain at all times.
 * Re-distribution is restricted to those with the express written consent
 * of the copyright holder.  Permission can be obtained by mailing
 * cs015headtas@cs.brown.edu.  
 */

package NGP.Graphics;

/**
 * All subclasses will use a filled in drawing method.
 *
 * @author Matt Chotin (<a href="mailto:mhc@cs.brown.edu">mhc</a>)
 */
public abstract class FilledRectangularShape extends RectangularShape {

  public FilledRectangularShape(NGP.Containers.DrawingPanel dp, 
																java.awt.Shape s) {
    super(dp, s);
		this.show();
  }

  public void actualPaint(java.awt.Graphics2D g) {
    g.fill(_awtShape);
  }

}

